Subject: Notes do not follow rebase

From: Phillip Susi <[email-masked]>
Date: Wed, 08 Apr 2015 14:40:59 -0400

After doing a rebase -i to fix up some older commits, I noticed that
notes I had associated with commits failed to follow the commit across
the rebase, so the notes are now orphaned and will be pruned.
Shouldn't notes be copied to the new commit during an ammend/rebase?